Bug 178843 - [MAINTAINER] deskutils/recoll: update to 1.18.2
Summary: [MAINTAINER] deskutils/recoll: update to 1.18.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-22 22:10 UTC by nemysis
Modified: 2013-06-07 16:40 UTC (History)
1 user (show)

See Also:


Attachments
recoll-1.18.2.patch (2.55 KB, patch)
2013-05-22 22:10 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-05-22 22:10:00 UTC
- Update to 1.18.2
- Shorten header
- Trim dependency for databases/xapian-core
- Add Portscout
- Trim pkg-plist, remove mtree

Generated and tested manually, tested with port test and with RedPorts, sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)

How-To-Repeat: 
Version 1.19.2 can't be builded.

Build log

https://redports.org/buildarchive/20130418154100-2543/
Comment 1 Edwin Groothuis freebsd_committer 2013-05-22 22:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-06-07 16:39:39 UTC
Author: miwi
Date: Fri Jun  7 15:39:29 2013
New Revision: 320216
URL: http://svnweb.freebsd.org/changeset/ports/320216

Log:
  - Update to 1.18.2
  - Shorten header
  - Trim dependency
  - Add Portscout
  - Trim pkg-plist, remove mtree
  
  PR:		178843
  Submitted by:	nemysis <nemysis@gmx.ch> (maintainer)

Modified:
  head/deskutils/recoll/Makefile
  head/deskutils/recoll/distinfo
  head/deskutils/recoll/pkg-plist

Modified: head/deskutils/recoll/Makefile
==============================================================================
--- head/deskutils/recoll/Makefile	Fri Jun  7 15:37:47 2013	(r320215)
+++ head/deskutils/recoll/Makefile	Fri Jun  7 15:39:29 2013	(r320216)
@@ -1,24 +1,19 @@
-# New ports collection makefile for:   recoll
-# Date created:        5 December 2005
-# Whom:                J.F. Dockes <jean-francois.dockes@wanadoo.fr>
-#
+# Created by: J.F. Dockes <jean-francois.dockes@wanadoo.fr>
 # $FreeBSD$
-#
 
 PORTNAME=	recoll
-PORTVERSION=	1.18.1
-PORTREVISION=	1
+PORTVERSION=	1.18.2
 CATEGORIES=	deskutils
-MASTER_SITES=	http://www.lesbonscomptes.com/recoll/
+MASTER_SITES=	http://www.lesbonscomptes.com/${PORTNAME}/
 
 MAINTAINER=	nemysis@gmx.ch
 COMMENT=	Personal full text search package, based on Xapian
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	xapian:${PORTSDIR}/databases/xapian-core
+BUILD_DEPENDS=	xapian-core>=0:${PORTSDIR}/databases/xapian-core
 
-USES=		iconv
+USE_ICONV=	yes
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 MAKE_JOBS_SAFE=	yes
@@ -30,8 +25,11 @@ MAN1=		recollindex.1
 MAN5=		recoll.conf.5
 
 OPTIONS_DEFINE=	QT4 ASPELL PYTHON X11MON
-OPTIONS_DEFAULT=QT4 ASPELL PYTHON X11MON
 X11MON_DESC=	X11 session monitoring support
+OPTIONS_DEFAULT=QT4 ASPELL PYTHON X11MON
+
+# Wrong versioning upstream
+PORTSCOUT=	skipv:1.19
 
 .include <bsd.port.options.mk>
 

Modified: head/deskutils/recoll/distinfo
==============================================================================
--- head/deskutils/recoll/distinfo	Fri Jun  7 15:37:47 2013	(r320215)
+++ head/deskutils/recoll/distinfo	Fri Jun  7 15:39:29 2013	(r320216)
@@ -1,2 +1,2 @@
-SHA256 (recoll-1.18.1.tar.gz) = 8ea01dc64002b594b7ca08cf40c5581963bd98617d8ab5554164a8af4a9fd933
-SIZE (recoll-1.18.1.tar.gz) = 2026276
+SHA256 (recoll-1.18.2.tar.gz) = 4729785354bd0d465c92e7d2a6fced688d8c08f1342a9bef2f040e7b10b1f510
+SIZE (recoll-1.18.2.tar.gz) = 1969421

Modified: head/deskutils/recoll/pkg-plist
==============================================================================
--- head/deskutils/recoll/pkg-plist	Fri Jun  7 15:37:47 2013	(r320215)
+++ head/deskutils/recoll/pkg-plist	Fri Jun  7 15:39:29 2013	(r320216)
@@ -86,6 +86,7 @@ bin/recollindex
 %%DATADIR%%/images/spreadsheet.png
 %%DATADIR%%/images/text-x-python.png
 %%DATADIR%%/images/txt.png
+%%DATADIR%%/images/video.png
 %%DATADIR%%/images/wordprocessing.png
 %%DATADIR%%/translations/recoll_cs.qm
 %%DATADIR%%/translations/recoll_de.qm
@@ -106,8 +107,4 @@ bin/recollindex
 @dirrm %%DATADIR%%/examples
 @dirrm %%DATADIR%%/doc
 @dirrm %%DATADIR%%
-@dirrmtry share/icons/hicolor/48x48/apps
-@dirrmtry share/icons/hicolor/48x48
-@dirrmtry share/icons/hicolor
-@dirrmtry share/icons
-@dirrmtry share/applications
+%%QT%%@dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2013-06-07 16:39:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!